hpp-corbaserver: hpp.corbaserver.robot.Robot Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Member Functions | Public Attributes | List of all members
hpp.corbaserver.robot.Robot Class Reference
Inheritance diagram for hpp.corbaserver.robot.Robot:
[legend]

## Public Member Functions
def | __init__ (self, robotName=None, rootJointType=None, load=True, client=None, hppcorbaClient=None)
def | rebuildRanks (self)
def | urdfSrdfFilenames (self)
def | urdfSrdfString (self)
def | loadModel (self, robotName, rootJointType)
def | urdfPath (self)
def | srdfPath (self)
def | getConfigSize (self)
def | getNumberDof (self)
def | getJointNames (self)
def | getJointTypes (self)
def | getAllJointNames (self)
def | getParentFrame (self, frameName)
def | getChildFrames (self, frameName, recursive=False)
def | getParentJoint (self, jointName)
def | getChildJoints (self, jointName, recursive=False)
def | getJointPosition (self, jointName)
def | getRootJointPosition (self)
def | setRootJointPosition (self, position)
def | setJointPosition (self, jointName, position)
def | getCurrentTransformation (self, jointName)
def | getJointNumberDof (self, jointName)
def | getJointConfigSize (self, jointName)
def | setJointBounds (self, jointName, inJointBound)
def | getJointBounds (self, jointName)
def | getSaturated (self, q)
def | getLinkPosition (self, linkName)
def | getLinkNames (self, jointName)
def | setCurrentConfig (self, q)
def | getCurrentConfig (self)
def | setCurrentVelocity (self, v)
def | getCurrentVelocity (self)
def | shootRandomConfig (self)
def | getJointInnerObjects (self, jointName)
def | getJointOuterObjects (self, jointName)
def | getObjectPosition (self, objectName)
def | removeObstacleFromJoint (self, objectName, jointName)
def | isConfigValid (self, cfg)
def | configIsValid (self, cfg)
def | distancesToCollision (self)
def | getRobotAABB (self)
def | getMass (self)
def | getCenterOfMass (self)
def | getJacobianCenterOfMass (self)

## Public Attributes
| client
| hppcorba
| name
| rootJointType
| displayName
| jointNames
| allJointNames
| rankInConfiguration
| rankInVelocity
| childFrames
| parentJoint
| childJoints

## Constructor & Destructor Documentation

## ◆ __init__()

def hpp.corbaserver.robot.Robot.__init__ | ( |  | self,
|  |  | robotName = `None`,
|  |  | rootJointType = `None`,
|  |  | load = `True`,
|  |  | client = `None`,
|  |  | hppcorbaClient = `None`
| ) |  |

Reimplemented in hpp.corbaserver.robot.HumanoidRobot.

## Member Function Documentation

## ◆ configIsValid()

def hpp.corbaserver.robot.Robot.configIsValid | ( |  | self,
|  |  | cfg
| ) |  |

## ◆ distancesToCollision()

def hpp.corbaserver.robot.Robot.distancesToCollision | ( |  | self | ) |

## ◆ getAllJointNames()

def hpp.corbaserver.robot.Robot.getAllJointNames | ( |  | self | ) |

## ◆ getCenterOfMass()

def hpp.corbaserver.robot.Robot.getCenterOfMass | ( |  | self | ) |

## ◆ getChildFrames()

def hpp.corbaserver.robot.Robot.getChildFrames | ( |  | self,
|  |  | frameName,
|  |  | recursive = `False`
| ) |  |

## ◆ getChildJoints()

def hpp.corbaserver.robot.Robot.getChildJoints | ( |  | self,
|  |  | jointName,
|  |  | recursive = `False`
| ) |  |

## ◆ getConfigSize()

def hpp.corbaserver.robot.Robot.getConfigSize | ( |  | self | ) |

## ◆ getCurrentConfig()

def hpp.corbaserver.robot.Robot.getCurrentConfig | ( |  | self | ) |

## ◆ getCurrentTransformation()

def hpp.corbaserver.robot.Robot.getCurrentTransformation | ( |  | self,
|  |  | jointName
| ) |  |

## ◆ getCurrentVelocity()

def hpp.corbaserver.robot.Robot.getCurrentVelocity | ( |  | self | ) |

## ◆ getJacobianCenterOfMass()

def hpp.corbaserver.robot.Robot.getJacobianCenterOfMass | ( |  | self | ) |

## ◆ getJointBounds()

def hpp.corbaserver.robot.Robot.getJointBounds | ( |  | self,
|  |  | jointName
| ) |  |

## ◆ getJointConfigSize()

def hpp.corbaserver.robot.Robot.getJointConfigSize | ( |  | self,
|  |  | jointName
| ) |  |

## ◆ getJointInnerObjects()

def hpp.corbaserver.robot.Robot.getJointInnerObjects | ( |  | self,
|  |  | jointName
| ) |  |

## ◆ getJointNames()

def hpp.corbaserver.robot.Robot.getJointNames | ( |  | self | ) |

## ◆ getJointNumberDof()

def hpp.corbaserver.robot.Robot.getJointNumberDof | ( |  | self,
|  |  | jointName
| ) |  |

## ◆ getJointOuterObjects()

def hpp.corbaserver.robot.Robot.getJointOuterObjects | ( |  | self,
|  |  | jointName
| ) |  |

## ◆ getJointPosition()

def hpp.corbaserver.robot.Robot.getJointPosition | ( |  | self,
|  |  | jointName
| ) |  |

## ◆ getJointTypes()

def hpp.corbaserver.robot.Robot.getJointTypes | ( |  | self | ) |

## ◆ getLinkNames()

def hpp.corbaserver.robot.Robot.getLinkNames | ( |  | self,
|  |  | jointName
| ) |  |

## ◆ getLinkPosition()

def hpp.corbaserver.robot.Robot.getLinkPosition | ( |  | self,
|  |  | linkName
| ) |  |

## ◆ getMass()

def hpp.corbaserver.robot.Robot.getMass | ( |  | self | ) |

## ◆ getNumberDof()

def hpp.corbaserver.robot.Robot.getNumberDof | ( |  | self | ) |

## ◆ getObjectPosition()

def hpp.corbaserver.robot.Robot.getObjectPosition | ( |  | self,
|  |  | objectName
| ) |  |

## ◆ getParentFrame()

def hpp.corbaserver.robot.Robot.getParentFrame | ( |  | self,
|  |  | frameName
| ) |  |

## ◆ getParentJoint()

def hpp.corbaserver.robot.Robot.getParentJoint | ( |  | self,
|  |  | jointName
| ) |  |

## ◆ getRobotAABB()

def hpp.corbaserver.robot.Robot.getRobotAABB | ( |  | self | ) |

## ◆ getRootJointPosition()

def hpp.corbaserver.robot.Robot.getRootJointPosition | ( |  | self | ) |

## ◆ getSaturated()

def hpp.corbaserver.robot.Robot.getSaturated | ( |  | self,
|  |  | q
| ) |  |

## ◆ isConfigValid()

def hpp.corbaserver.robot.Robot.isConfigValid | ( |  | self,
|  |  | cfg
| ) |  |

## ◆ loadModel()

def hpp.corbaserver.robot.Robot.loadModel | ( |  | self,
|  |  | robotName,
|  |  | rootJointType
| ) |  |

Reimplemented in hpp.corbaserver.robot.RobotXML, and hpp.corbaserver.robot.HumanoidRobot.

## ◆ rebuildRanks()

def hpp.corbaserver.robot.Robot.rebuildRanks | ( |  | self | ) |

## ◆ removeObstacleFromJoint()

def hpp.corbaserver.robot.Robot.removeObstacleFromJoint | ( |  | self,
|  |  | objectName,
|  |  | jointName
| ) |  |

## ◆ setCurrentConfig()

def hpp.corbaserver.robot.Robot.setCurrentConfig | ( |  | self,
|  |  | q
| ) |  |

## ◆ setCurrentVelocity()

def hpp.corbaserver.robot.Robot.setCurrentVelocity | ( |  | self,
|  |  | v
| ) |  |

## ◆ setJointBounds()

def hpp.corbaserver.robot.Robot.setJointBounds | ( |  | self,
|  |  | jointName,
|  |  | inJointBound
| ) |  |

## ◆ setJointPosition()

def hpp.corbaserver.robot.Robot.setJointPosition | ( |  | self,
|  |  | jointName,
|  |  | position
| ) |  |

## ◆ setRootJointPosition()

def hpp.corbaserver.robot.Robot.setRootJointPosition | ( |  | self,
|  |  | position
| ) |  |

## ◆ shootRandomConfig()

def hpp.corbaserver.robot.Robot.shootRandomConfig | ( |  | self | ) |

## ◆ srdfPath()

def hpp.corbaserver.robot.Robot.srdfPath | ( |  | self | ) |

## ◆ urdfPath()

def hpp.corbaserver.robot.Robot.urdfPath | ( |  | self | ) |

Reimplemented in hpp.corbaserver.robot.RobotXML.

## ◆ urdfSrdfFilenames()

def hpp.corbaserver.robot.Robot.urdfSrdfFilenames | ( |  | self | ) |

## ◆ urdfSrdfString()

def hpp.corbaserver.robot.Robot.urdfSrdfString | ( |  | self | ) |

## Member Data Documentation

## ◆ allJointNames

hpp.corbaserver.robot.Robot.allJointNames

## ◆ childFrames

hpp.corbaserver.robot.Robot.childFrames

## ◆ childJoints

hpp.corbaserver.robot.Robot.childJoints

## ◆ client

hpp.corbaserver.robot.Robot.client

## ◆ displayName

hpp.corbaserver.robot.Robot.displayName

## ◆ hppcorba

hpp.corbaserver.robot.Robot.hppcorba

## ◆ jointNames

hpp.corbaserver.robot.Robot.jointNames

## ◆ name

hpp.corbaserver.robot.Robot.name

## ◆ parentJoint

hpp.corbaserver.robot.Robot.parentJoint

## ◆ rankInConfiguration

hpp.corbaserver.robot.Robot.rankInConfiguration

## ◆ rankInVelocity

hpp.corbaserver.robot.Robot.rankInVelocity

## ◆ rootJointType

hpp.corbaserver.robot.Robot.rootJointType

The documentation for this class was generated from the following file:

- src/hpp/corbaserver/robot.py